# List LLM providers (/docs/api-reference/providers/listLLMProviders)

> Retrieve all available Large Language Model providers.



**GET** `/providers/llms`

Retrieve all available Large Language Model providers.

```yaml
operationId: listLLMProviders
responses:
  '200':
    description: LLM providers.
    content:
      application/json:
        schema:
          type: object
          properties:
            llms:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  provider_name:
                    oneOf:
                      - type: string
                      - type: boolean
                    description: Brand of the underlying service (e.g. `azure` for LLMs). `false` when not set.
                  is_premium:
                    type: boolean
                  service_type:
                    type: string
                    enum:
                      - LLM
                      - STT
                      - TTS
                      - other
                  is_active:
                    type: boolean
            total:
              type: integer
        example:
          llms:
            - id: 17
              name: azure-gpt-4.1-mini
              provider_name: azure
              is_premium: false
              service_type: LLM
              is_active: true
            - id: 8
              name: gemini-2.5-flash
              provider_name: google
              is_premium: false
              service_type: LLM
              is_active: true
          total: 13
```

**Python SDK**

```python
# List all LLM providers
llms = client.providers.list_llms()
print(llms)
# Returns: {'llms': [...], 'total': 5}
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/providers/llms" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
